#!/bin/zsh
# Use this file to update jupyterhub locally
# Contect of this file should be the same as in .gitlab-ci.yml
# export CSUSB_JHUB_NAMESPACE="csusb-jupyterhub"
export CSUSB_JHUB_NAMESPACE="csusb-hpc" && \
helm upgrade --cleanup-on-fail \
--install hpchub jupyterhub/jupyterhub \
--namespace $CSUSB_JHUB_NAMESPACE --version=1.1.4 \
--values values.template.yaml \
--set-file hub.extraFiles.image_select_idp.binaryData=./select_idp_cilogon.png.b64 \
--set-file hub.extraFiles.custom_spawner_profile.stringData=./my_spawner.html \
--set-file hub.extraFiles.custom_spawner.stringData=./my_spawner.py && \
kubectl get pods -w -n $CSUSB_JHUB_NAMESPACE